> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kineticsystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Executions



## OpenAPI

````yaml openapi.json get /api/executions
openapi: 3.1.0
info:
  title: Kinetic API
  version: 0.1.0
servers: []
security: []
paths:
  /api/executions:
    get:
      tags:
        - executions
      summary: List Executions
      operationId: list_executions_api_executions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionListResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExecutionListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExecutionResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: ExecutionListResponse
    ExecutionResponse:
      properties:
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        execution_uuid:
          type: string
          title: Execution Uuid
        workflow_version_uuid:
          type: string
          title: Workflow Version Uuid
        workflow_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Uuid
        workflow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Name
        status:
          anyOf:
            - type: string
              enum:
                - queued
                - running
                - paused
                - completed
                - failed
            - type: 'null'
          title: Status
        input_payload:
          anyOf:
            - {}
            - type: 'null'
          title: Input Payload
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        n_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Steps
        n_agent_actions:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Agent Actions
        n_screenshots:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Screenshots
        output_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Url
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
        logs_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs Url
      type: object
      required:
        - execution_uuid
        - workflow_version_uuid
      title: ExecutionResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Kinetic-Key
      description: Your Kinetic API key

````